﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Threading;

namespace SLBrowser
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            //webBrowser1加载本地的baiduMap.html页面
            this.webBrowser1.Navigate(new Uri(Application.Current.Host.Source, "baiduMap.html"));

        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            //调用加载的百度地图baiduMap.html内的BaiduSearch函数，并且传入值
            this.webBrowser1.InvokeScript("BaiduSearch", this.textBox1.Text);
        }
        private void button2_Click_1(object sender, RoutedEventArgs e)
        {
            try
            {
                //获取Uri地址，并且让webBrowser1载入该地址
                string url=this.textBox1.Text.Trim().Replace("http://","");
                this.webBrowser1.Navigate(new Uri("http://" +url , UriKind.RelativeOrAbsolute));
                //当访问了网页之后设置隐藏百度地图搜索按钮
                this.button1.Visibility = Visibility.Collapsed;
                textBox1.Margin = new Thickness(0, 8, 118, 0);
                textBox1.Width = 792;

            }
            catch (Exception ex)
            {
                MessageBox.Show("请输入一个有效的网址");
            }
        }
    }
}
